Package org.tmatesoft.svn.core

# Class SVNMergeInfo

java.lang.Object
org.tmatesoft.svn.core.SVNMergeInfo

public class SVNMergeInfo extends Object
The `SVNMergeInfo` represents information about merges to a certain repository path.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Constructor
Description
`SVNMergeInfo(String path, Map<String,SVNMergeRangeList> srcsToRangeLists)`
Creates a new `SVNMergeInfo` object.

## Method Summary

Modifier and Type
Method
Description
`Map<String,SVNMergeRangeList>`
`getMergeSourcesToMergeLists()`
Returns a hash mapping merge sources to merge range lists.
`String`
`getPath()`
Returns the absolute repository path of the merge target.
`String`
`toString()`
Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SVNMergeInfo

public SVNMergeInfo(String path, Map<String,SVNMergeRangeList> srcsToRangeLists)
Creates a new `SVNMergeInfo` object.

Parameters:
  `path` - absolute repository path of the merge target
  `srcsToRangeLists` - hash that maps merge sources to merge range lists (`String` to `SVNMergeRangeList`)

## Method Details

### getPath

public String getPath()
Returns the absolute repository path of the merge target.

Returns:
  merge target path

### getMergeSourcesToMergeLists

public Map<String,SVNMergeRangeList> getMergeSourcesToMergeLists()
Returns a hash mapping merge sources to merge range lists. Keys are `String` paths, values - `SVNMergeRangeList` values.

Returns:
  mergeinfo of the `path`

### toString

public String toString()
Returns a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  this object as a string